#include <stdio.h>

main( int argc, char *argv[] )
{
 int numb,i,j;
 FILE *fp, *fp_object, *fp_history;

 if( argc != 2 )
 {
  printf( "Usage: %s number\n", argv[0] );
  exit( -1 );
 }

 numb= atoi( argv[1] );

 if( (fp_object= fopen( "object.data","w" )) == NULL )
 {
  perror( "object.data" );
  exit( -1 );
 }

 if( (fp_history = fopen( "history.data","w" )) == NULL )
 {
  perror( "history.data" );
  exit( -1 );
 }

 for( i= 0; i < numb; i++ )
 {
  fprintf( fp_object,
      "%010d|"
      "%02d|"
      "%010d NAME XXXXXXXXXXXX|"
      "%02d/%02d/19%02d|"
      "%010d NOTES XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n",
                i,
                i%100,
                i,
                (i%12)+1,(i%28)+1,i%100,
                i
  );

  for( j= 0; j < 20; j++ )
  {
        fprintf( fp_history,
      "%010d|"
      "%d|"
      "%03d|"
      "%02d/%02d/19%02d|"
      "%02d/%02d/19%02d|"
      "%010d_%02d HISTORY NOTES XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n",
                i,
                j,
                (i+(10*j))%1000,
                ((i+j)%12)+1,((i+j)%28)+1,(i+j)%100,
                ((i+j)%12)+1,((i+j)%28)+1,(i+j)%100,
                i,j
   );
  }
 }

 fclose( fp_object );
 fclose( fp_history );

 fp= fopen( "stat.data", "w" );
  for( i= 0; i < 1000; i++ )
   fprintf( fp, "%03d|Status %03d XXXXXXXXXXXXXXXXXXXXXXXXXXXXX|0\n", i, i );
 fclose( fp );

 fp= fopen( "section.data", "w" );
  for( i= 0; i < 100; i++ )
   fprintf( fp, "%02d|%02d|Section %02d XXXXXXXXXXXXXXXXXXXXXXXXXXX\n", i, i%10 );
 fclose( fp );

 fp= fopen( "zone.data", "w" );
  for( i= 0; i < 10; i++ )
   fprintf( fp, "%02d|Zone %02d XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n", i );
 fclose( fp );

}
