#!/bin/sh

#=================================================================
# db_STRESS data load for PostgreSQL
#=================================================================

# data files directory (def: current dir)
dir=`pwd`

# user/passwd (normally not needed on this step as you're logged as 'user' on the machine)
##user=dim
##passwd=dimitri

# database name
dbname=dbstress

# database port number (def: 5432)
port=5432


psql -p $port $dbname <<EOF
  copy ZONE    from  '$dir/zone.data'    using delimiters '|';
  copy STAT    from  '$dir/stat.data'    using delimiters '|';
  copy SECTION from  '$dir/section.data' using delimiters '|';
  copy OBJECT  from  '$dir/object.data'  using delimiters '|';
  copy HISTORY from  '$dir/history.data' using delimiters '|';
EOF
